| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::LodData::Triangle Struct Reference

`#include <OgreLodData.h>`

## Public Member Functions
void | computeNormal ()
| Vertex ID in the buffer associated with the submeshID. More...
unsigned int | getVertexID (const Vertex *v) const
bool | hasVertex (const Vertex *v) const
bool | isMalformed ()

## Public Attributes
bool | isRemoved
Vector3 | normal
size_t | submeshID
Vertex * | vertex [3]
unsigned int | vertexID [3]
| ID of the submesh. Usable with mMesh.getSubMesh() function. More...

## Member Function Documentation

## ◆ computeNormal()

void Ogre::LodData::Triangle::computeNormal | ( |  | ) |

Vertex ID in the buffer associated with the submeshID.

## ◆ hasVertex()

bool Ogre::LodData::Triangle::hasVertex | ( | const Vertex * | v | ) | const

## ◆ getVertexID()

unsigned int Ogre::LodData::Triangle::getVertexID | ( | const Vertex * | v | ) | const

## ◆ isMalformed()

bool Ogre::LodData::Triangle::isMalformed | ( |  | ) |

## Member Data Documentation

## ◆ vertex

Vertex* Ogre::LodData::Triangle::vertex[3]

## ◆ normal

Vector3 Ogre::LodData::Triangle::normal

## ◆ isRemoved

bool Ogre::LodData::Triangle::isRemoved

## ◆ submeshID

size_t Ogre::LodData::Triangle::submeshID

## ◆ vertexID

unsigned int Ogre::LodData::Triangle::vertexID[3]

ID of the submesh. Usable with mMesh.getSubMesh() function.

The documentation for this struct was generated from the following file:

- OgreLodData.h